Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.eventusermodel
Class XSSFReader

    java.lang.Object
      org.apache.poi.xssf.eventusermodel.XSSFReader

    public class XSSFReader

extends java.lang.Object

This class makes it easy to get at individual parts of an OOXML .xlsx file, suitable for low memory sax parsing or similar. It makes up the core part of the EventUserModel support for XSSF.

Nested Class Summary
`static class` | `XSSFReader.SheetIterator` Iterator over sheet data.

Constructor Summary
`XSSFReader(OPCPackage pkg)` Creates a new XSSFReader, for the given package

Method Summary
`java.io.InputStream` | `getSharedStringsData()` Returns an InputStream to read the contents of the shared strings table.
`SharedStringsTable` | `getSharedStringsTable()` Opens up the Shared Strings Table, parses it, and returns a handy object for working with shared strings.
`java.io.InputStream` | `getSheet(java.lang.String relId)` Returns an InputStream to read the contents of the specified Sheet.
`java.util.Iterator` | `getSheetsData()` Returns an Iterator which will let you get at all the different Sheets in turn.
`java.io.InputStream` | `getStylesData()` Returns an InputStream to read the contents of the styles table.
`StylesTable` | `getStylesTable()` Opens up the Styles Table, parses it, and returns a handy object for working with cell styles
`java.io.InputStream` | `getThemesData()` Returns an InputStream to read the contents of the themes table.
`java.io.InputStream` | `getWorkbookData()` Returns an InputStream to read the contents of the main Workbook, which contains key overall data for the file, including sheet definitions.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFReader

    public XSSFReader(OPCPackage pkg)
               throws java.io.IOException,
                      OpenXML4JException

  Creates a new XSSFReader, for the given package

  Throws:
    `java.io.IOException`
    `OpenXML4JException`

Method Detail

### getSharedStringsTable

    public SharedStringsTable getSharedStringsTable()
                                             throws java.io.IOException,
                                                    InvalidFormatException

  Opens up the Shared Strings Table, parses it, and returns a handy object for working with shared strings.

  Throws:
    `java.io.IOException`
    `InvalidFormatException`

### getStylesTable

    public StylesTable getStylesTable()
                               throws java.io.IOException,
                                      InvalidFormatException

  Opens up the Styles Table, parses it, and returns a handy object for working with cell styles

  Throws:
    `java.io.IOException`
    `InvalidFormatException`

### getSharedStringsData

    public java.io.InputStream getSharedStringsData()
                                             throws java.io.IOException,
                                                    InvalidFormatException

  Returns an InputStream to read the contents of the shared strings table.

  Throws:
    `java.io.IOException`
    `InvalidFormatException`

### getStylesData

    public java.io.InputStream getStylesData()
                                      throws java.io.IOException,
                                             InvalidFormatException

  Returns an InputStream to read the contents of the styles table.

  Throws:
    `java.io.IOException`
    `InvalidFormatException`

### getThemesData

    public java.io.InputStream getThemesData()
                                      throws java.io.IOException,
                                             InvalidFormatException

  Returns an InputStream to read the contents of the themes table.

  Throws:
    `java.io.IOException`
    `InvalidFormatException`

### getWorkbookData

    public java.io.InputStream getWorkbookData()
                                        throws java.io.IOException,
                                               InvalidFormatException

  Returns an InputStream to read the contents of the main Workbook, which contains key overall data for the file, including sheet definitions.

  Throws:
    `java.io.IOException`
    `InvalidFormatException`

### getSheet

    public java.io.InputStream getSheet(java.lang.String relId)
                                 throws java.io.IOException,
                                        InvalidFormatException

  Returns an InputStream to read the contents of the specified Sheet.

  Parameters:
    `relId` - The relationId of the sheet, from a r:id on the workbook
  Throws:
    `java.io.IOException`
    `InvalidFormatException`

### getSheetsData

    public java.util.Iterator getSheetsData()
                                     throws java.io.IOException,
                                            InvalidFormatException

  Returns an Iterator which will let you get at all the different Sheets in turn. Each sheet's InputStream is only opened when fetched from the Iterator. It's up to you to close the InputStreams when done with each one.

  Throws:
    `java.io.IOException`
    `InvalidFormatException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD